Call 0844 824 6664

Gigaset IP DECT Compatibility

View All Siemens Products

*The Siemens Gigaset S510H, SL400 and SL610H require firmware version V53.05 (minimum) to work with the Siemens Gigaset N720IP Multi-Cell Station.

Basic: Basic handsets provide limited features (handsets can make & receive calls & use call hold & transfer). Features such as Gigaset info services, corporate directories and phone book features are not available.

GAP: Limited compatibility with the base station. A handset that is GAP Compatible can register to a base station and perform basic functions such as make and receive calls. Features including Missed Call, Message Waiting, Call Forward, Line Select are not available.